FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000701FL52.2 Subprogram FLUC (CONV)public2015-06-29 09:162016-03-21 09:31
ReporterFalk Reichbott 
Assigned ToFalk Reichbott 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version5.1 
Target Version5.1.11Fixed in Version5.1.11 
Summary0000701: Add support for ZIP archives
DescriptionIt would be very useful to manage ZIP archives with FLAM.

see

https://pkware.cachefly.net/webdocs/casestudies/APPNOTE.TXT [^]

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000855)
Falk Reichbott (administrator)
2015-06-29 09:21

With version 5.1.6 we have add the first version of ZIP support to FLAM. The INFO function of FLUC now list the contant of a ZIP archive like the Memberlist for a FLAM archive.

In the next revisions we plan to support first the ZIP32 and later the ZIP64 archives including directory walk, member and index access at read and write of original data for GZIP, BZIP2 and XZ compressed data.

Later we will add a integrity verification function, the simply encryption stuff, the compress algorithen.

We currently don't plan to implement the Windows or PK-Ware spezific encryption solution.
(0000965)
Falk Reichbott (administrator)
2016-03-21 09:31

A new FIO component to support ZIP archives (FIO.ZIP()) was developed. This component can read and write member from and to ZIP archives conform to version 6.3.4. In conjunction with CNV.ZIP() it supports currently DELATE (GZIP) and BZIP2 compression. All other file formats (XZ or PGP) are simply stored. With CNV.BLK() we support the record length fields for record oriented binary data.

The component supports UTF-8 and 64 bit ZIP archives. On z/OS the DCB parameter are stored in the extra fields and in conjunction with FIO.REC() you can reproduce the original dataset.

The current implementation is only availabale within the XCNV command. The integration of FIO.ZIP() into the CONV command is planed with the next revision (5.1.12).

In the near future we plan to support LZMA compression, later we plan to support the older IBM or PKWARE propertary compression methods.

- Issue History
Date Modified Username Field Change
2015-06-29 09:16 Falk Reichbott New Issue
2015-06-29 09:16 Falk Reichbott Status new => assigned
2015-06-29 09:16 Falk Reichbott Assigned To => Falk Reichbott
2015-06-29 09:21 Falk Reichbott Note Added: 0000855
2015-07-09 18:47 Falk Reichbott Target Version 5.1 => 5.1.08
2015-08-13 18:46 Falk Reichbott Target Version 5.1.08 => 5.1.09
2015-09-27 11:30 Falk Reichbott Target Version 5.1.09 => 5.1.10
2015-11-20 14:56 Falk Reichbott Target Version 5.1.10 => 5.1.11
2016-03-21 09:31 Falk Reichbott Note Added: 0000965
2016-03-21 09:31 Falk Reichbott Status assigned => resolved
2016-03-21 09:31 Falk Reichbott Fixed in Version => 5.1.11
2016-03-21 09:31 Falk Reichbott Resolution open => fixed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker